VERSION 5.00
Begin VB.Form frmAxiohm_Sample 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Axiohm Sample Application"
   ClientHeight    =   5616
   ClientLeft      =   132
   ClientTop       =   588
   ClientWidth     =   9252
   LinkTopic       =   "Form1"
   ScaleHeight     =   5616
   ScaleWidth      =   9252
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdLoadPrinter 
      Caption         =   "Load Printer Example"
      Height          =   492
      Left            =   240
      Style           =   1  'Graphical
      TabIndex        =   6
      Top             =   1920
      Width           =   1572
   End
   Begin VB.CommandButton cmdLoadMICR 
      Caption         =   "Load  MICR Example"
      Height          =   492
      Left            =   2640
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   1920
      Width           =   1572
   End
   Begin VB.CommandButton cmdLoadCashDrawer 
      Caption         =   "Load CashDrawer Example"
      Height          =   492
      Left            =   5040
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   1920
      Width           =   1572
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit Axiohm Sample Application"
      Height          =   492
      Left            =   7440
      Style           =   1  'Graphical
      TabIndex        =   3
      Top             =   1920
      Width           =   1572
   End
   Begin VB.ListBox lstStatusResults 
      BackColor       =   &H00FFFFC0&
      ForeColor       =   &H00800000&
      Height          =   2736
      ItemData        =   "frmAxiohm_Sample.frx":0000
      Left            =   120
      List            =   "frmAxiohm_Sample.frx":0002
      TabIndex        =   0
      Top             =   2760
      Width           =   9012
   End
   Begin VB.Label lblTitle 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "  Axiohm Sample OPOS Application"
      BeginProperty Font 
         Name            =   "Comic Sans MS"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000C0&
      Height          =   1452
      Left            =   5040
      TabIndex        =   2
      Top             =   120
      Width           =   3972
   End
   Begin VB.Image Image1 
      Height          =   1500
      Left            =   240
      Picture         =   "frmAxiohm_Sample.frx":0004
      Top             =   240
      Width           =   8304
   End
   Begin VB.Label lblListStatusResults 
      BackStyle       =   0  'Transparent
      Caption         =   "Status Update Events and Result Codes returned"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000080&
      Height          =   252
      Left            =   120
      TabIndex        =   1
      Top             =   2520
      Width           =   4092
   End
   Begin VB.Menu MenuCtrlFile 
      Caption         =   "File"
      Index           =   0
      Begin VB.Menu MenuCtrlFileExit 
         Caption         =   "Exit"
         Index           =   1
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu MenuCtrlHelp 
      Caption         =   "Help"
      Index           =   2
      Begin VB.Menu UsingSampApp 
         Caption         =   "Using Sample App"
      End
      Begin VB.Menu MenuCtrlHelpAbout 
         Caption         =   "About"
         Index           =   3
      End
   End
End
Attribute VB_Name = "frmAxiohm_Sample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'**********************************************************
'General Test sequence for Axiohm OPOS Drivers
'AXIOHM Engineering Dept.
'Author:  Andrew Nye
'email: DriverHelp@Axiohm.Com
'Platform: Windows   Environment: Visual Basic 6.0
'**********************************************************
Option Explicit

Public Counter As Long             ' Counter for the status box
Public MyErrDesc As String         ' Human readable result codes
Public MyExtErrDesc As String      ' Human readable extended result codes
Public result As String            ' result string

Public MicrErr As Boolean          ' flag to get MICR exterrdesc
Public MyErrLoc As String          ' ErrorLoc for ErrorEvent
Public MyResponse As String        ' what to do for ErrorEvent
Public DrawerOpened As String      ' is cash drawer opened
Public MyResult As Long            ' result code returned
Public MySUEDesc As String         ' Human readable SUE translation

Private Sub cmdLoadCashDrawer_Click()
    frmCashDrawer.Display
End Sub

Private Sub cmdLoadMICR_Click()
    frmMICR.Display
End Sub

Private Sub cmdLoadPrinter_Click()
    frmPrinter.Display
End Sub

Private Sub cmdExit_Click()
    Unload Me
End Sub

Private Sub cmdSampleReceipts_Click()
    Dim ResultCode As Long
    
    If frmPrinter.OPOSPOSPrinter1.State = OposSClosed Then
        ResultCode = frmPrinter.OPOSPOSPrinter1.Open("A758")
        WhatError (ResultCode)
        AddResults ("Printer.Open(A758)")
        If ResultCode <> OposSuccess Then
            ErrMsg ("error Opening SO")
            Exit Sub
        End If
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.Claim(10000)
    WhatError (ResultCode)
    AddResults ("Printer.Claim(10000)")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error Claiming SO")
        Exit Sub
    End If
    
    frmPrinter.OPOSPOSPrinter1.DeviceEnabled = True
    ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
    WhatError (ResultCode)
    AddResults ("Printer.DeviceEnabled = true")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error setting DeviceEnabled = true")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOSPOSPrinter1.SetBitmap(1, PtrSReceipt, "c:\axiohm\axiohm.bmp", PtrBmAsis, PtrBmLeft)
    WhatError (ResultCode)
    AddResults ("Printer.SetBitmap(1, PtrSReceipt, c:\axiohm\axiohm.bmp, PtrBmasis, PtrBmLeft")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error calling SetBitmap")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.TransactionPrint(PtrSReceipt, PtrTpTransaction)
    WhatError (ResultCode)
    AddResults ("Printer.TransactionPrint(PtrSReceipt, PtrTpTransaction)")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error starting TransactionPrint")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|1B")
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, ESC|1B (downloaded logo)")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing logo with PrintNormal")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|3lF")
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, ESC|3lF (3 line feeds)")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing 3 line feeds with PrintNormal")
        Exit Sub
    End If

    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|4C" + _
                                                      Chr(&H1B) + "|cA" + "A758 Thermal/Impact" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing A758 Thermal/Impact")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|2C" + _
                                                      Chr(&H1B) + "|cA" + "Two Heads are Better" + _
                                                      Chr(&HA) + "Than One" + Chr(&HA) + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Two Heads are Better Than One")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, _
                                                      "0        1         2         3         4   4" + _
                                                      "12 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4" + _
                                                      "|        |         |         |         |   |" + _
                                                      Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing 40 column scale")
        Exit Sub
    End If
    
    frmPrinter.OPOSPOSPrinter1.RecLineChars = 56
    ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
    WhatError (ResultCode)
    AddResults ("Printer.RecLineChars = 56")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error setting RecLineChars = 56")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, _
                                                      "0        1         2         3         4         5     5" + _
                                                      "12 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6 8 0 2 4 6" + _
                                                      "|        |         |         |         |         |     |" + _
                                                      Chr(&HA) + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing 56 column scale")
        Exit Sub
    End If
        
    frmPrinter.OPOSPOSPrinter1.RecLineChars = 44
    ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
    WhatError (ResultCode)
    AddResults ("Printer.RecLineChars = 44")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error setting RecLineChars = 44")
        Exit Sub
    End If
        
    frmPrinter.OPOSPOSPrinter1.RecLineSpacing = 40
    ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
    WhatError (ResultCode)
    AddResults ("Printer.RecLineSpacing = 40")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error setting RecLineSpacing = 40")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|3C" + _
                                                      Chr(&H1B) + "|cA" + "Double High" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Double High")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|2C" + _
                                                      Chr(&H1B) + "|cA" + "Double Wide" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Double Wide")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|4C" + _
                                                      Chr(&H1B) + "|cA" + "Both High and High" + Chr(&HA) + Chr(&HA) + Chr(&HA) + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Both High and High")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|iC" + _
                                                      Chr(&H1B) + "|cA" + "Italic Text" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Italic Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|bC" + _
                                                      Chr(&H1B) + "|cA" + "Bold Text" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Bold Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|uC" + _
                                                      Chr(&H1B) + "|cA" + "Underlined Text" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Underlined Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|rvC" + _
                                                      Chr(&H1B) + "|cA" + "Reverse Video Text" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Reverse Video Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|cA" + "You " + Chr(&H1B) + "|iC" + _
                                                      "can " + Chr(&H1B) + "|bC" + "mix " + Chr(&H1B) + "|uC" + _
                                                      "features " + Chr(&H1B) + "|rvC" + "too!" + Chr(&HA) + Chr(&HA) + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing You can mix features too!")
        Exit Sub
    End If
    
    frmPrinter.OPOSPOSPrinter1.RecLineSpacing = 26
    ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
    WhatError (ResultCode)
    AddResults ("Printer.RecLineSpacing = 26")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error setting RecLineSpacing = 26")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintBarCode(PtrSReceipt, "Axiohm Transaction Solutions, Inc." + Chr(&HA) _
                                                       + "950 Danby Road" + Chr(&HA) + _
                                                       "Ithaca, NY  14850" + Chr(&HA) + _
                                                       "(800) 732-8950", PtrBcsPdf417, 100, 3, PtrBcCenter, PtrBcTextBelow)
    WhatError (ResultCode)
    AddResults ("Printer.PrintBarCode(PtrSReceipt, PDF 417")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error calling PrintBarCode")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|cA" + "Axiohm Transaction Solutions, Inc." + Chr(&HA) _
                                                       + "950 Danby Road" + Chr(&HA) + _
                                                       "Ithaca, NY  14850" + Chr(&HA) + _
                                                       "(800) 732-8950" + Chr(&HA))
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, BarCode HRI")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error calling PrintNormal with HRI")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.PrintNormal(PtrSReceipt, Chr(&H1B) + "|7lF" + Chr(&H1B) + "|100P")
    WhatError (ResultCode)
    AddResults ("Printer.PrintNormal(PtrSReceipt, text")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing Italic Text")
        Exit Sub
    End If
    
    ResultCode = frmPrinter.OPOSPOSPrinter1.TransactionPrint(PtrSReceipt, PtrTpNormal)
    WhatError (ResultCode)
    AddResults ("Printer.TransactionPrint(PtrSReceipt, PtrTpNormal)")
    If ResultCode <> OposSuccess Then
        ErrMsg ("error printing transaction with TransactionPrint")
        Exit Sub
    End If
    
    If frmPrinter.OPOSPOSPrinter1.State <> OposSClosed Then
    
        frmPrinter.OPOSPOSPrinter1.DeviceEnabled = False
        ResultCode = frmPrinter.OPOSPOSPrinter1.ResultCode
        WhatError (ResultCode)
        AddResults ("Printer.DeviceEnabled = false")
        If ResultCode <> OposSuccess Then
            ErrMsg ("error setting DeviceEnabled = false")
            Exit Sub
        End If
        
        ResultCode = frmPrinter.OPOSPOSPrinter1.ReleaseDeviceDevice
        WhatError (ResultCode)
        AddResults ("Printer.ReleaseDevice")
        If ResultCode <> OposSuccess Then
            ErrMsg ("error Releasing SO")
            Exit Sub
        End If
    
        ResultCode = frmPrinter.OPOSPOSPrinter1.Close
        WhatError (ResultCode)
        AddResults ("Printer.Close")
        If ResultCode <> OposSuccess Then
            ErrMsg ("error Closing SO")
            Exit Sub
        End If
    
    End If

End Sub

'on load form initialize counter
Private Sub Form_Load()
    Counter = 0
    'center this form
    Left = (Screen.Width - Width) \ 2
    Top = (Screen.Height - Height) \ 2
End Sub

Private Sub Form_Unload(Cancel As Integer)

    If frmPrinter.OPOSPOSPrinter1.State <> OposSClosed Then
        frmPrinter.OPOSPOSPrinter1.Close
    End If

    If frmMICR.OPOSMICR1.State <> OposSClosed Then
        frmMICR.OPOSMICR1.Close
    End If
    
    If frmCashDrawer.OPOSCashDrawer1.State <> OposSClosed Then
        frmCashDrawer.OPOSCashDrawer1.Close
    End If
    
    If frmCashDrawer.OPOSCashDrawer2.State <> OposSClosed Then
        frmCashDrawer.OPOSCashDrawer2.Close
    End If
    End
    
End Sub

Private Sub lstStatusResults_Click()
    'All Result Codes and Events will be displayed here.
End Sub

Private Sub MenuCtrlFileExit_Click(Index As Integer)
    Unload Me
End Sub

Private Sub MenuCtrlHelpAbout_Click(Index As Integer)
    frmAbout.Display
End Sub

Rem///////////////////////////////////////////////////////////////////////
Rem//  Events of the Axiohm OPOS driver
Rem//  Status Update Events: CashDrawer, Printer
Rem//  Error Events: Printer, MICR
Rem//  Data Events: MICR
Rem//  DirectIOEvents: Printer, MICR, CashDrawer    //MICR only DirectIOEvent
Rem//  OutputCompleteEvents: Printer
Rem///////////////////////////////////////////////////////////////////////

Rem///////////////////////////////////////////////////////////////////////
Rem//  Function to parse data and prepare to send it to the printer
Rem///////////////////////////////////////////////////////////////////////

Function Parse(ByVal MyStr As String) As String
    Dim i As Long
    Dim hitloc
    Dim hexdigits
    Dim newchar
    
    i = 1
    While (InStr(1, MyStr, "\") > 0)
        hitloc = InStr(1, MyStr, "\")
        hexdigits = Mid(MyStr, hitloc + 1, 2)
        newchar = Chr(Val("&H" + hexdigits))
        MyStr = Left(MyStr, hitloc - 1) & newchar & Right(MyStr, Len(MyStr) - hitloc - 2)
        Wend
    
    Parse = MyStr           ' 08JUL98 STW change parse to return string
End Function

Rem///////////////////////////////////////////////////////////////////////
Rem//  Functions to translate Result codes into their Human Readable format
Rem///////////////////////////////////////////////////////////////////////

'Function to determine the text of the error code generated
Function WhatError(ErrCode As Long)

    Select Case (ErrCode)
        Case 0
            MyErrDesc = "OposSuccess"
            Exit Function
        Case 101
            MyErrDesc = "OPOS_E_CLOSED"
            Exit Function
        Case 102
            MyErrDesc = "OPOS_E_CLAIMED"
            Exit Function
        Case 103
            MyErrDesc = "OPOS_E_NOTCLAIMED"
            Exit Function
        Case 104
            MyErrDesc = "OPOS_E_NOSERVICE"
            Exit Function
        Case 105
            MyErrDesc = "OPOS_E_DISABLED"
            Exit Function
        Case 106
            MyErrDesc = "OPOS_E_ILLEGAL"
            Exit Function
        Case 107
            MyErrDesc = "OPOS_E_NOHARDWARE"
            Exit Function
        Case 108
            MyErrDesc = "OPOS_E_OFFLINE"
            Exit Function
        Case 109
            MyErrDesc = "OPOS_E_NOEXIST"
            Exit Function
        Case 110
            MyErrDesc = "OPOS_E_EXISTS"
            Exit Function
        Case 111
            MyErrDesc = "OPOS_E_FAILURE"
            Exit Function
        Case 112
            MyErrDesc = "OPOS_E_TIMEOUT"
            Exit Function
        Case 113
            MyErrDesc = "OPOS_E_BUSY"
            Exit Function
        Case 114
            If MicrErr = False Then
                WhatExtPrtErr (frmPrinter.OPOSPOSPrinter1.ResultCodeExtended)
                MyErrDesc = ("OPOS_E_EXTENDED:  " + MyExtErrDesc)
            Else
            If MicrErr = True Then
                WhatExtMICRErr (frmMICR.OPOSMICR1.ResultCodeExtended)
                MyErrDesc = ("OPOS_E_EXTENDED:  " + MyExtErrDesc)
            End If
            End If
            Exit Function
        Case Else
            MyErrDesc = "Unknown Error"
    End Select
    
End Function

'What are the textual descriptions of the extended Error Codes generated
Function WhatExtPrtErr(PrtExtErr As Long)
    
    Select Case (PrtExtErr)
        Case 201
            MyExtErrDesc = "OPOS_EPTR_COVER_OPEN"
            Exit Function
        Case 202                                             'No Journal Station
            MyExtErrDesc = "OPOS_EPTR_JRN_EMPTY"
            Exit Function
        Case 203
            MyExtErrDesc = "OPOS_EPTR_REC_EMPTY"
            Exit Function
        Case 204
            MyExtErrDesc = "OPOS_EPTR_SLP_EMPTY"
            Exit Function
        Case 205
            MyExtErrDesc = "OPOS_EPTR_SLP_FORM"             ' EndRemoval
            Exit Function
        Case 206
            MyExtErrDesc = "OPOS_EPTR_TOOBIG"               ' PrintBitmap
            Exit Function
        Case 7
            MyExtErrDesc = "OPOS_EPTR_BAD_FORMAT"           ' PrintBitmap
            Exit Function
        Case Else
            MyExtErrDesc = "Unknown Error"
    End Select
End Function

'What are the textual descriptions of the extended Error Codes generated
Function WhatExtMICRErr(MICRExtErr As Long)
    Select Case (MICRExtErr)
        Case 201
            MyExtErrDesc = "OPOS_EMICR_NOCHECK"
            Exit Function
        Case 202
            MyExtErrDesc = "OPOS_EMICR_CHECK"
            Exit Function
        Case Else
            MyExtErrDesc = "Unknown Error"
    End Select
End Function

'What is the textual description for the Status Update Events (SUE's) generated
'by the printer when something happens
Function WhatSUE(MySUECode As Long)
    Select Case MySUECode
        Case 11
            MySUEDesc = "PTR_SUE_COVER_OPEN"
            Exit Function
        Case 12
            MySUEDesc = "PTR_SUE_COVER_OK"
            Exit Function
'case 21, 22, 23 deal with journal - omitting
        Case 24
            MySUEDesc = "PTR_SUE_REC_EMPTY"
            Exit Function
        Case 25
            MySUEDesc = "PTR_SUE_REC_NEAREMPTY"
            Exit Function
        Case 26
            MySUEDesc = "PTR_SUE_REC_PAPEROK"
            Exit Function
        Case 27
            MySUEDesc = "PTR_SUE_SLIP_EMPTY"
            Exit Function
        Case 28
            MySUEDesc = "PTR_SUE_SLIP_NEAREMPTY"
            Exit Function
        Case 29
            MySUEDesc = "PTR_SUE_SLP_PAPEROK"
            Exit Function
        Case 1001
            MySUEDesc = "PTR_SUE_IDLE"
            Exit Function
        Case Else
            MySUEDesc = "Unknown SUE"
    End Select
End Function

Private Sub UsingSampApp_Click()
    frmUsingSampleApp.Display
End Sub

Public Function ErrMsg(errormsg As String)
    MsgBox "There has been an " + errormsg + " Please check your settings.", vbCritical, "Error"
End Function

Public Function AddResults(result As String)
    frmAxiohm_Sample.lstStatusResults.AddItem (str(frmAxiohm_Sample.Counter) + ":  Result of " + result + ":  " + frmAxiohm_Sample.MyErrDesc)
    frmAxiohm_Sample.lstStatusResults.ListIndex = frmAxiohm_Sample.Counter
    frmAxiohm_Sample.Counter = frmAxiohm_Sample.Counter + 1
End Function
